## thunderbird 1snap1-0ubuntu3

=== debian/changelog ===
thunderbird (2:1snap1-0ubuntu3) noble; urgency=medium

  * debian/control:
    - Pre-Depends on snapd since the preinst script is using it
      (lp: #2056458)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Apr 2024 16:47:38 +0200

thunderbird (2:1snap1-0ubuntu2) noble; urgency=medium

  * debian/thunderbird.desktop, debian/thunderbird.install:
    - the snap is using a different name for its .desktop, which leads
      to the dock to delete the favorite entry when the old .desktop
      is removed from disk before the run of the migration script.
      We workaround the issue by creating a thunderbird.desktop still
      but using NoDisplay=true (similarly to what was done with firefox)
  * debian/thunderbird.maintscript:
    - clean leftover conffiles on upgrade

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Apr 2024 12:01:36 +0200

thunderbird (2:1snap1-0ubuntu1) noble; urgency=medium

  * Increase the epoch number in the package version to ensure the
    package stays newer than the deb security updates in older series.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Apr 2024 21:37:23 +0200

thunderbird (1:115.8.1+build1+snap3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:15:11 +0000

thunderbird (1:115.8.1+build1+snap2) noble; urgency=medium

  * debian/control:
    - add arm64 back to the architectures list now that the snap is
      building on it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Mar 2024 12:27:08 +0100

thunderbird (1:115.8.1+build1+snap1) noble; urgency=medium

  * Deprecate the thunderbird deb in favor of the snap for maintability
    reasons similar to firefox.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 Mar 2024 00:18:19 +0100

thunderbird (1:115.8.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.8.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 29 Feb 2024 08:26:21 +0100

thunderbird (1:115.8.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.8.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 17 Feb 2024 09:30:15 +0100

thunderbird (1:115.6.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 09 Jan 2024 08:51:34 +0100

thunderbird (1:115.6.0+build2-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.0+build2)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 18 Dec 2023 16:32:09 +0100

thunderbird (1:115.6.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Dec 2023 21:47:45 +0100

thunderbird (1:115.5.2+build2-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.2+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 12 Dec 2023 08:05:52 +0100

thunderbird (1:115.5.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 29 Nov 2023 14:16:00 +0100

thunderbird (1:115.5.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 21 Nov 2023 15:20:44 +0100

thunderbird (1:115.4.3+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.4.3+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 17 Nov 2023 12:26:19 +0100

thunderbird (1:115.4.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.4.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 26 Oct 2023 09:00:28 +0200

thunderbird (1:115.3.1+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.3.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 29 Sep 2023 12:28:43 +0200

thunderbird (1:115.3.0+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.3.0+build2)
  * Update cbindgen to 0.26.0
    - debian/build/create-tarball.py

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 26 Sep 2023 20:48:49 +0200

thunderbird (1:115.2.3+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.3+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 21 Sep 2023 07:29:33 +0200

thunderbird (1:115.2.3+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.3+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 16 Sep 2023 14:09:12 +0200

thunderbird (1:115.2.0+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 28 Aug 2023 21:15:38 +0200

thunderbird (1:115.2.0+build1-0ubuntu1) mantic; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream stable release (115.2.0+build1)
  * Bump build-dep on nodejs(-mozilla) >= 12.22.12
    - debian/control{,.in}
  * Pass "export RUST_BACKTRACE=full" to cbindgen/dump_sys build
    - debian/build/rules.mk
  * Use clang 15 if available
    - debian/control{,.in}
    - debian/build/rules.mk
  * Stop signing NSS libraries using shlibsign
    https://bugzilla.mozilla.org/show_bug.cgi?id=1620158
    https://bugzilla.mozilla.org/show_bug.cgi?id=1796504
    - debian/build/rules.mk
  * Update for upstream manifest changes
    https://bugzilla.mozilla.org/show_bug.cgi?id=1810734
    - debian/build/xpi-id.py
  * Bump build-dep to python >= 3.7
    - debian/control{,.in}
  * Install glxtest and vaapitest
    - debian/firefox.install.in
  * Bump build-dep on rustc >= 1.66.0 and cargo >= 0.67
    - debian/control{,.in}
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/armhf-rustc-thin-lto.patch
  * Update cbindgen to 0.24.5
    - debian/build/create-tarball.py
  * Make use of *.strings_all.tar.zst
    - debian/build/create-tarball.py

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Aug 2023 20:03:07 +0200


