=== debian/control ===
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Git: https://git.launchpad.net/~mozillateam/thunderbird -b noble
Vcs-Browser: https://git.launchpad.net/~mozillateam/thunderbird
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.2.1

Package: thunderbird
Architecture: amd64 arm64
Pre-Depends: debconf, snapd
Depends: ${misc:Depends}
Replaces: thunderbird-dbg (<< 1:115.8.1+build1+snap1),
    thunderbird-dev (<< 1:115.8.1+build1+snap1),
    thunderbird-mozsymbols (<< 1:115.8.1+build1+snap1),
Breaks: thunderbird-dbg (<< 1:115.8.1+build1+snap1),
    thunderbird-dev (<< 1:115.8.1+build1+snap1),
    thunderbird-geckodriver (<< 1:115.8.1+build1+snap1),
    thunderbird-mozsymbols (<< 1:115.8.1+build1+snap1),
Section: oldlibs
Provides: mail-reader
Description: Transitional package - thunderbird -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird is now replaced by the thunderbird snap.

Package: thunderbird-locale-af
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-af-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-af -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-af is now replaced by the thunderbird snap.

Package: thunderbird-locale-ar
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-ar-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-ar -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-ar is now replaced by the thunderbird snap.

Package: thunderbird-locale-ast
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-ast-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-ast -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-ast is now replaced by the thunderbird snap.

Package: thunderbird-locale-be
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-be-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-be -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-be is now replaced by the thunderbird snap.

Package: thunderbird-locale-bg
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-bg-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-bg -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-bg is now replaced by the thunderbird snap.

Package: thunderbird-locale-bn
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-bn-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-bn -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-bn is now replaced by the thunderbird snap.

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-bn-bd-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-bn-bd -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-bn-bd is now replaced by the thunderbird snap.

Package: thunderbird-locale-br
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-br-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-br -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-br is now replaced by the thunderbird snap.

Package: thunderbird-locale-ca
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-ca-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-ca -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-ca is now replaced by the thunderbird snap.

Package: thunderbird-locale-cak
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-cak-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-cak -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-cak is now replaced by the thunderbird snap.

Package: thunderbird-locale-cs
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-cs-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-cs -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-cs is now replaced by the thunderbird snap.

Package: thunderbird-locale-cy
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-cy-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-cy -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-cy is now replaced by the thunderbird snap.

Package: thunderbird-locale-da
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-da-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-da -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-da is now replaced by the thunderbird snap.

Package: thunderbird-locale-de
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-de-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-de -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-de is now replaced by the thunderbird snap.

Package: thunderbird-locale-dsb
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-dsb-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-dsb -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-dsb is now replaced by the thunderbird snap.

Package: thunderbird-locale-el
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-el-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-el -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-el is now replaced by the thunderbird snap.

Package: thunderbird-locale-en
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-en-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-en -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-en is now replaced by the thunderbird snap.

Package: thunderbird-locale-en-gb
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-en-gb-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-en-gb -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-en-gb is now replaced by the thunderbird snap.

Package: thunderbird-locale-en-us
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-en-us-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-en-us -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-en-us is now replaced by the thunderbird snap.

Package: thunderbird-locale-es
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-es-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-es -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-es is now replaced by the thunderbird snap.

Package: thunderbird-locale-es-ar
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-es-ar-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-es-ar -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-es-ar is now replaced by the thunderbird snap.
 
Package: thunderbird-locale-es-es
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-es-es-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-es-es -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-es-es is now replaced by the thunderbird snap.

Package: thunderbird-locale-et
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-et-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-et -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-et is now replaced by the thunderbird snap.

Package: thunderbird-locale-eu
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-eu-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-eu -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-eu is now replaced by the thunderbird snap.

Package: thunderbird-locale-fa
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fa-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fa -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fa is now replaced by the thunderbird snap.

Package: thunderbird-locale-fi
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fi-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fi -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fi is now replaced by the thunderbird snap.

Package: thunderbird-locale-fr
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fr-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fr -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fr is now replaced by the thunderbird snap.

Package: thunderbird-locale-fy
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fy-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fy -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fy is now replaced by the thunderbird snap.

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fy-nl-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fy-nl -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fy-nl is now replaced by the thunderbird snap.

Package: thunderbird-locale-ga
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-ga-base
