## thunderbird 1snap1-0ubuntu4

=== debian/changelog ===
thunderbird (2:1snap1-0ubuntu4) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:47:31 +0100
